import 'package:drift/internal/versioned_schema.dart' as i0;
import 'package:drift/drift.dart' as i1;
import 'package:drift/drift.dart'; // ignore_for_file: type=lint,unused_import

// GENERATED BY drift_dev, DO NOT MODIFY.
final class Schema2 extends i0.VersionedSchema {
  Schema2({required super.database}) : super(version: 2);
  @override
  late final List<i1.DatabaseSchemaEntity> entities = [
    organizations,
    accounts,
    accountIdentifiers,
    accountAlerts,
    reports,
    categoryGroups,
    categories,
    categoryAlerts,
    categoryLimits,
    categoryBudgets,
    currencies,
    devices,
    locations,
    merchants,
    reportGroups,
    reportGroupLayouts,
    reportGroupRows,
    transactions,
    transactionSplits,
    transactionCategories,
    transactionTags,
    transactionTransfers,
    userSettings,
    transactionDate,
    transactionMerchant,
  ];
  late final Shape0 organizations = Shape0(
    source: i0.VersionedTable(
      entityName: 'organizations',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [_column_0, _column_1, _column_2, _column_3, _column_4],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape1 accounts = Shape1(
    source: i0.VersionedTable(
      entityName: 'accounts',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_3,
        _column_4,
        _column_5,
        _column_6,
        _column_7,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape2 accountIdentifiers = Shape2(
    source: i0.VersionedTable(
      entityName: 'account_identifiers',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid, id)'],
      columns: [_column_8, _column_9, _column_4, _column_10],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape3 accountAlerts = Shape3(
    source: i0.VersionedTable(
      entityName: 'account_alerts',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid, id)'],
      columns: [
        _column_8,
        _column_9,
        _column_11,
        _column_12,
        _column_13,
        _column_14,
        _column_15,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape4 reports = Shape4(
    source: i0.VersionedTable(
      entityName: 'reports',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_3,
        _column_4,
        _column_16,
        _column_17,
        _column_18,
        _column_19,
        _column_20,
        _column_21,
        _column_22,
        _column_23,
        _column_24,
        _column_25,
        _column_26,
        _column_27,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape5 categoryGroups = Shape5(
    source: i0.VersionedTable(
      entityName: 'category_groups',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_3,
        _column_4,
        _column_28,
        _column_29,
        _column_30,
        _column_31,
        _column_32,
        _column_33,
        _column_34,
        _column_35,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape6 categories = Shape6(
    source: i0.VersionedTable(
      entityName: 'categories',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_3,
        _column_4,
        _column_36,
        _column_37,
        _column_38,
        _column_39,
        _column_40,
        _column_33,
        _column_34,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape7 categoryAlerts = Shape7(
    source: i0.VersionedTable(
      entityName: 'category_alerts',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid, id)'],
      columns: [_column_41, _column_9, _column_14, _column_42],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape8 categoryLimits = Shape8(
    source: i0.VersionedTable(
      entityName: 'category_limits',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid, currency_code)'],
      columns: [_column_41, _column_12, _column_43, _column_15],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape9 categoryBudgets = Shape9(
    source: i0.VersionedTable(
      entityName: 'category_budgets',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid, currency_code, start_date)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_41,
        _column_44,
        _column_15,
        _column_45,
        _column_46,
        _column_12,
        _column_47,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape10 currencies = Shape10(
    source: i0.VersionedTable(
      entityName: 'currencies',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(code)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_3,
        _column_4,
        _column_48,
        _column_49,
        _column_50,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape11 devices = Shape11(
    source: i0.VersionedTable(
      entityName: 'devices',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_3,
        _column_4,
        _column_51,
        _column_52,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape12 locations = Shape12(
    source: i0.VersionedTable(
      entityName: 'locations',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [
        _column_4,
        _column_53,
        _column_54,
        _column_55,
        _column_56,
        _column_3,
        _column_57,
        _column_58,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape13 merchants = Shape13(
    source: i0.VersionedTable(
      entityName: 'merchants',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_3,
        _column_4,
        _column_44,
        _column_59,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape14 reportGroups = Shape14(
    source: i0.VersionedTable(
      entityName: 'report_groups',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_3,
        _column_4,
        _column_60,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape15 reportGroupLayouts = Shape15(
    source: i0.VersionedTable(
      entityName: 'report_group_layouts',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid, "order")'],
      columns: [_column_61, _column_62],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape16 reportGroupRows = Shape16(
    source: i0.VersionedTable(
      entityName: 'report_group_rows',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid, layout_order, "order")'],
      columns: [
        _column_3,
        _column_63,
        _column_62,
        _column_64,
        _column_65,
        _column_66,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape17 transactions = Shape17(
    source: i0.VersionedTable(
      entityName: 'transactions',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_3,
        _column_4,
        _column_44,
        _column_67,
        _column_12,
        _column_68,
        _column_15,
        _column_69,
        _column_70,
        _column_71,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape18 transactionSplits = Shape18(
    source: i0.VersionedTable(
      entityName: 'transaction_splits',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid, id)'],
      columns: [_column_72, _column_9, _column_4, _column_12],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape19 transactionCategories = Shape19(
    source: i0.VersionedTable(
      entityName: 'transaction_categories',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: [
        'PRIMARY KEY(uuid, split_id, category_uuid)',
        'FOREIGN KEY (uuid, split_id) REFERENCES transaction_splits(uuid, id) ON DELETE CASCADE ON UPDATE CASCADE',
      ],
      columns: [_column_3, _column_73, _column_74],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape20 transactionTags = Shape20(
    source: i0.VersionedTable(
      entityName: 'transaction_tags',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: [
        'PRIMARY KEY(uuid, split_id, tag)',
        'FOREIGN KEY (uuid, split_id) REFERENCES transaction_splits(uuid, id) ON DELETE CASCADE ON UPDATE CASCADE',
      ],
      columns: [_column_3, _column_73, _column_75],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape21 transactionTransfers = Shape21(
    source: i0.VersionedTable(
      entityName: 'transaction_transfers',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(source_uuid, destination_uuid)'],
      columns: [_column_76, _column_77],
      attachedDatabase: database,
    ),
    alias: null,
  );
  late final Shape22 userSettings = Shape22(
    source: i0.VersionedTable(
      entityName: 'user_settings',
      withoutRowId: false,
      isStrict: false,
      tableConstraints: ['PRIMARY KEY(uuid)'],
      columns: [
        _column_0,
        _column_1,
        _column_2,
        _column_3,
        _column_78,
        _column_6,
        _column_79,
        _column_80,
        _column_81,
        _column_82,
      ],
      attachedDatabase: database,
    ),
    alias: null,
  );
  final i1.Index transactionDate = i1.Index(
    'transaction_date',
    'CREATE INDEX transaction_date ON transactions (date)',
  );
  final i1.Index transactionMerchant = i1.Index(
    'transaction_merchant',
    'CREATE INDEX transaction_merchant ON transactions (merchant_name)',
  );
}

class Shape0 extends i0.VersionedTable {
  Shape0({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<DateTime> _column_0(String aliasedName) =>
    i1.GeneratedColumn<DateTime>(
      'create_date',
      aliasedName,
      false,
      type: i1.DriftSqlType.dateTime,
      defaultValue: currentDateAndTime,
    );
i1.GeneratedColumn<DateTime> _column_1(String aliasedName) =>
    i1.GeneratedColumn<DateTime>(
      'update_date',
      aliasedName,
      false,
      type: i1.DriftSqlType.dateTime,
      defaultValue: currentDateAndTime,
    );
i1.GeneratedColumn<DateTime> _column_2(String aliasedName) =>
    i1.GeneratedColumn<DateTime>(
      'delete_date',
      aliasedName,
      true,
      type: i1.DriftSqlType.dateTime,
    );
i1.GeneratedColumn<String> _column_3(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<String> _column_4(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'name',
      aliasedName,
      false,
      additionalChecks: i1.GeneratedColumn.checkTextLength(minTextLength: 1),
      type: i1.DriftSqlType.string,
    );

class Shape1 extends i0.VersionedTable {
  Shape1({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get orgUuid =>
      columnsByName['org_uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get defaultCurrencyCode =>
      columnsByName['default_currency_code']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<bool> get isMultiCurrency =>
      columnsByName['is_multi_currency']! as i1.GeneratedColumn<bool>;
}

i1.GeneratedColumn<String> _column_5(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'org_uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES organizations (uuid) ON DELETE CASCADE',
      ),
    );
i1.GeneratedColumn<String> _column_6(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'default_currency_code',
      aliasedName,
      true,
      additionalChecks: i1.GeneratedColumn.checkTextLength(
        minTextLength: 3,
        maxTextLength: 3,
      ),
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<bool> _column_7(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'is_multi_currency',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("is_multi_currency" IN (0, 1))',
      ),
      defaultValue: const Constant(false),
    );

class Shape2 extends i0.VersionedTable {
  Shape2({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get identifier =>
      columnsByName['identifier']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<String> _column_8(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES accounts (uuid) ON DELETE CASCADE',
      ),
    );
i1.GeneratedColumn<int> _column_9(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'id',
      aliasedName,
      false,
      type: i1.DriftSqlType.int,
    );
i1.GeneratedColumn<String> _column_10(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'identifier',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );

class Shape3 extends i0.VersionedTable {
  Shape3({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<bool> get isMax =>
      columnsByName['is_max']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<int> get amount =>
      columnsByName['amount']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get message =>
      columnsByName['message']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get color =>
      columnsByName['color']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get currencyCode =>
      columnsByName['currency_code']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<bool> _column_11(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'is_max',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("is_max" IN (0, 1))',
      ),
    );
i1.GeneratedColumn<int> _column_12(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'amount',
      aliasedName,
      false,
      type: i1.DriftSqlType.int,
    );
i1.GeneratedColumn<String> _column_13(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'message',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<int> _column_14(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'color',
      aliasedName,
      false,
      type: i1.DriftSqlType.int,
    );
i1.GeneratedColumn<String> _column_15(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'currency_code',
      aliasedName,
      false,
      additionalChecks: i1.GeneratedColumn.checkTextLength(
        minTextLength: 3,
        maxTextLength: 3,
      ),
      type: i1.DriftSqlType.string,
    );

class Shape4 extends i0.VersionedTable {
  Shape4({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get type =>
      columnsByName['type']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get startDate =>
      columnsByName['start_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get endDate =>
      columnsByName['end_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<int> get relativeStartOffset =>
      columnsByName['relative_start_offset']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get relativeEndOffset =>
      columnsByName['relative_end_offset']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get relativeRange =>
      columnsByName['relative_range']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<bool> get loadOverTime =>
      columnsByName['load_over_time']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<String> get grouping =>
      columnsByName['grouping']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<bool> get invert =>
      columnsByName['invert']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<String> get sorting =>
      columnsByName['sorting']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get reportText =>
      columnsByName['report_text']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get filters =>
      columnsByName['filters']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<String> _column_16(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'type',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<DateTime> _column_17(String aliasedName) =>
    i1.GeneratedColumn<DateTime>(
      'start_date',
      aliasedName,
      true,
      type: i1.DriftSqlType.dateTime,
    );
i1.GeneratedColumn<DateTime> _column_18(String aliasedName) =>
    i1.GeneratedColumn<DateTime>(
      'end_date',
      aliasedName,
      true,
      type: i1.DriftSqlType.dateTime,
    );
i1.GeneratedColumn<int> _column_19(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'relative_start_offset',
      aliasedName,
      true,
      type: i1.DriftSqlType.int,
    );
i1.GeneratedColumn<int> _column_20(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'relative_end_offset',
      aliasedName,
      true,
      type: i1.DriftSqlType.int,
    );
i1.GeneratedColumn<String> _column_21(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'relative_range',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<bool> _column_22(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'load_over_time',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("load_over_time" IN (0, 1))',
      ),
    );
i1.GeneratedColumn<String> _column_23(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'grouping',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<bool> _column_24(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'invert',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("invert" IN (0, 1))',
      ),
    );
i1.GeneratedColumn<String> _column_25(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'sorting',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<String> _column_26(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'report_text',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<String> _column_27(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'filters',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );

class Shape5 extends i0.VersionedTable {
  Shape5({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<bool> get isRequired =>
      columnsByName['is_required']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<bool> get enableAutoBalance =>
      columnsByName['enable_auto_balance']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<bool> get requireLimits =>
      columnsByName['require_limits']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<int> get defaultColor =>
      columnsByName['default_color']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get overColor =>
      columnsByName['over_color']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get datePeriod =>
      columnsByName['date_period']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get datePeriodInterval =>
      columnsByName['date_period_interval']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get reportUuid =>
      columnsByName['report_uuid']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<bool> _column_28(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'is_required',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("is_required" IN (0, 1))',
      ),
      defaultValue: const Constant(false),
    );
i1.GeneratedColumn<bool> _column_29(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'enable_auto_balance',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("enable_auto_balance" IN (0, 1))',
      ),
      defaultValue: const Constant(false),
    );
i1.GeneratedColumn<bool> _column_30(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'require_limits',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("require_limits" IN (0, 1))',
      ),
      defaultValue: const Constant(false),
    );
i1.GeneratedColumn<int> _column_31(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'default_color',
      aliasedName,
      false,
      type: i1.DriftSqlType.int,
    );
i1.GeneratedColumn<int> _column_32(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'over_color',
      aliasedName,
      false,
      type: i1.DriftSqlType.int,
    );
i1.GeneratedColumn<String> _column_33(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'date_period',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<int> _column_34(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'date_period_interval',
      aliasedName,
      true,
      type: i1.DriftSqlType.int,
    );
i1.GeneratedColumn<String> _column_35(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'report_uuid',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES reports (uuid) ON DELETE SET NULL',
      ),
    );

class Shape6 extends i0.VersionedTable {
  Shape6({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get groupUuid =>
      columnsByName['group_uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get parentUuid =>
      columnsByName['parent_uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get progenitorUuid =>
      columnsByName['progenitor_uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<bool> get isSpendLimit =>
      columnsByName['is_spend_limit']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<bool> get excludeFromAutoBalance =>
      columnsByName['exclude_from_auto_balance']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<String> get datePeriod =>
      columnsByName['date_period']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get datePeriodInterval =>
      columnsByName['date_period_interval']! as i1.GeneratedColumn<int>;
}

i1.GeneratedColumn<String> _column_36(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'group_uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES category_groups (uuid) ON DELETE CASCADE',
      ),
    );
i1.GeneratedColumn<String> _column_37(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'parent_uuid',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES categories (uuid) ON DELETE SET NULL',
      ),
    );
i1.GeneratedColumn<String> _column_38(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'progenitor_uuid',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES categories (uuid) ON DELETE SET NULL',
      ),
    );
i1.GeneratedColumn<bool> _column_39(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'is_spend_limit',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("is_spend_limit" IN (0, 1))',
      ),
      defaultValue: const Constant(true),
    );
i1.GeneratedColumn<bool> _column_40(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'exclude_from_auto_balance',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("exclude_from_auto_balance" IN (0, 1))',
      ),
      defaultValue: const Constant(false),
    );

class Shape7 extends i0.VersionedTable {
  Shape7({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get color =>
      columnsByName['color']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<double> get percentDone =>
      columnsByName['percent_done']! as i1.GeneratedColumn<double>;
}

i1.GeneratedColumn<String> _column_41(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES categories (uuid) ON DELETE CASCADE',
      ),
    );
i1.GeneratedColumn<double> _column_42(String aliasedName) =>
    i1.GeneratedColumn<double>(
      'percent_done',
      aliasedName,
      false,
      type: i1.DriftSqlType.double,
    );

class Shape8 extends i0.VersionedTable {
  Shape8({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get amount =>
      columnsByName['amount']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<bool> get isRollover =>
      columnsByName['is_rollover']! as i1.GeneratedColumn<bool>;
  i1.GeneratedColumn<String> get currencyCode =>
      columnsByName['currency_code']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<bool> _column_43(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'is_rollover',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("is_rollover" IN (0, 1))',
      ),
    );

class Shape9 extends i0.VersionedTable {
  Shape9({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get syncId =>
      columnsByName['sync_id']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get currencyCode =>
      columnsByName['currency_code']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get startDate =>
      columnsByName['start_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get endDate =>
      columnsByName['end_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<int> get amount =>
      columnsByName['amount']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<bool> get edited =>
      columnsByName['edited']! as i1.GeneratedColumn<bool>;
}

i1.GeneratedColumn<String> _column_44(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'sync_id',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<DateTime> _column_45(String aliasedName) =>
    i1.GeneratedColumn<DateTime>(
      'start_date',
      aliasedName,
      false,
      type: i1.DriftSqlType.dateTime,
    );
i1.GeneratedColumn<DateTime> _column_46(String aliasedName) =>
    i1.GeneratedColumn<DateTime>(
      'end_date',
      aliasedName,
      false,
      type: i1.DriftSqlType.dateTime,
    );
i1.GeneratedColumn<bool> _column_47(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'edited',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("edited" IN (0, 1))',
      ),
    );

class Shape10 extends i0.VersionedTable {
  Shape10({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get code =>
      columnsByName['code']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get symbol =>
      columnsByName['symbol']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get decimalDigits =>
      columnsByName['decimal_digits']! as i1.GeneratedColumn<int>;
}

i1.GeneratedColumn<String> _column_48(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'code',
      aliasedName,
      false,
      additionalChecks: i1.GeneratedColumn.checkTextLength(
        minTextLength: 1,
        maxTextLength: 3,
      ),
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<String> _column_49(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'symbol',
      aliasedName,
      false,
      additionalChecks: i1.GeneratedColumn.checkTextLength(
        minTextLength: 1,
        maxTextLength: 4,
      ),
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<int> _column_50(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'decimal_digits',
      aliasedName,
      false,
      type: i1.DriftSqlType.int,
      defaultValue: const Constant(2),
    );

class Shape11 extends i0.VersionedTable {
  Shape11({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get syncDate =>
      columnsByName['sync_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<bool> get thisDevice =>
      columnsByName['this_device']! as i1.GeneratedColumn<bool>;
}

i1.GeneratedColumn<DateTime> _column_51(String aliasedName) =>
    i1.GeneratedColumn<DateTime>(
      'sync_date',
      aliasedName,
      true,
      type: i1.DriftSqlType.dateTime,
    );
i1.GeneratedColumn<bool> _column_52(String aliasedName) =>
    i1.GeneratedColumn<bool>(
      'this_device',
      aliasedName,
      false,
      type: i1.DriftSqlType.bool,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'CHECK ("this_device" IN (0, 1))',
      ),
      defaultValue: const Constant(false),
    );

class Shape12 extends i0.VersionedTable {
  Shape12({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get address =>
      columnsByName['address']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get city =>
      columnsByName['city']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get region =>
      columnsByName['region']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get zip =>
      columnsByName['zip']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<double> get latitude =>
      columnsByName['latitude']! as i1.GeneratedColumn<double>;
  i1.GeneratedColumn<double> get longitude =>
      columnsByName['longitude']! as i1.GeneratedColumn<double>;
}

i1.GeneratedColumn<String> _column_53(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'address',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<String> _column_54(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'city',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<String> _column_55(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'region',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<String> _column_56(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'zip',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<double> _column_57(String aliasedName) =>
    i1.GeneratedColumn<double>(
      'latitude',
      aliasedName,
      true,
      type: i1.DriftSqlType.double,
    );
i1.GeneratedColumn<double> _column_58(String aliasedName) =>
    i1.GeneratedColumn<double>(
      'longitude',
      aliasedName,
      true,
      type: i1.DriftSqlType.double,
    );

class Shape13 extends i0.VersionedTable {
  Shape13({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get syncId =>
      columnsByName['sync_id']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get locationUuid =>
      columnsByName['location_uuid']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<String> _column_59(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'location_uuid',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES locations (uuid) ON DELETE SET NULL',
      ),
    );

class Shape14 extends i0.VersionedTable {
  Shape14({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get cellSize =>
      columnsByName['cell_size']! as i1.GeneratedColumn<int>;
}

i1.GeneratedColumn<int> _column_60(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'cell_size',
      aliasedName,
      false,
      type: i1.DriftSqlType.int,
    );

class Shape15 extends i0.VersionedTable {
  Shape15({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get order =>
      columnsByName['order']! as i1.GeneratedColumn<int>;
}

i1.GeneratedColumn<String> _column_61(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES report_groups (uuid) ON DELETE CASCADE',
      ),
    );
i1.GeneratedColumn<int> _column_62(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'order',
      aliasedName,
      false,
      type: i1.DriftSqlType.int,
    );

class Shape16 extends i0.VersionedTable {
  Shape16({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get layoutOrder =>
      columnsByName['layout_order']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<int> get order =>
      columnsByName['order']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get primaryReport =>
      columnsByName['primary_report']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get secondaryReport =>
      columnsByName['secondary_report']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get tertiaryReport =>
      columnsByName['tertiary_report']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<int> _column_63(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'layout_order',
      aliasedName,
      false,
      type: i1.DriftSqlType.int,
    );
i1.GeneratedColumn<String> _column_64(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'primary_report',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES reports (uuid) ON DELETE SET NULL',
      ),
    );
i1.GeneratedColumn<String> _column_65(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'secondary_report',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES reports (uuid) ON DELETE SET NULL',
      ),
    );
i1.GeneratedColumn<String> _column_66(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'tertiary_report',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES reports (uuid) ON DELETE SET NULL',
      ),
    );

class Shape17 extends i0.VersionedTable {
  Shape17({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get syncId =>
      columnsByName['sync_id']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<DateTime> get date =>
      columnsByName['date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<int> get amount =>
      columnsByName['amount']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get accountUuid =>
      columnsByName['account_uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get currencyCode =>
      columnsByName['currency_code']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get merchantUuid =>
      columnsByName['merchant_uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get merchantName =>
      columnsByName['merchant_name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get locationUuid =>
      columnsByName['location_uuid']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<DateTime> _column_67(String aliasedName) =>
    i1.GeneratedColumn<DateTime>(
      'date',
      aliasedName,
      false,
      type: i1.DriftSqlType.dateTime,
    );
i1.GeneratedColumn<String> _column_68(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'account_uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES accounts (uuid) ON DELETE CASCADE',
      ),
    );
i1.GeneratedColumn<String> _column_69(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'merchant_uuid',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<String> _column_70(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'merchant_name',
      aliasedName,
      true,
      additionalChecks: i1.GeneratedColumn.checkTextLength(minTextLength: 1),
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<String> _column_71(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'location_uuid',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
    );

class Shape18 extends i0.VersionedTable {
  Shape18({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get id =>
      columnsByName['id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get name =>
      columnsByName['name']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get amount =>
      columnsByName['amount']! as i1.GeneratedColumn<int>;
}

i1.GeneratedColumn<String> _column_72(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES transactions (uuid) ON DELETE CASCADE',
      ),
    );

class Shape19 extends i0.VersionedTable {
  Shape19({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get splitId =>
      columnsByName['split_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get categoryUuid =>
      columnsByName['category_uuid']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<int> _column_73(String aliasedName) =>
    i1.GeneratedColumn<int>(
      'split_id',
      aliasedName,
      false,
      type: i1.DriftSqlType.int,
    );
i1.GeneratedColumn<String> _column_74(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'category_uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES categories (uuid) ON DELETE CASCADE',
      ),
    );

class Shape20 extends i0.VersionedTable {
  Shape20({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<int> get splitId =>
      columnsByName['split_id']! as i1.GeneratedColumn<int>;
  i1.GeneratedColumn<String> get tag =>
      columnsByName['tag']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<String> _column_75(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'tag',
      aliasedName,
      false,
      additionalChecks: i1.GeneratedColumn.checkTextLength(minTextLength: 1),
      type: i1.DriftSqlType.string,
    );

class Shape21 extends i0.VersionedTable {
  Shape21({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<String> get sourceUuid =>
      columnsByName['source_uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get destinationUuid =>
      columnsByName['destination_uuid']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<String> _column_76(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'source_uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES transactions (uuid) ON DELETE CASCADE',
      ),
    );
i1.GeneratedColumn<String> _column_77(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'destination_uuid',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES transactions (uuid) ON DELETE CASCADE',
      ),
    );

class Shape22 extends i0.VersionedTable {
  Shape22({required super.source, required super.alias}) : super.aliased();
  i1.GeneratedColumn<DateTime> get createDate =>
      columnsByName['create_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get updateDate =>
      columnsByName['update_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<DateTime> get deleteDate =>
      columnsByName['delete_date']! as i1.GeneratedColumn<DateTime>;
  i1.GeneratedColumn<String> get uuid =>
      columnsByName['uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get navListJson =>
      columnsByName['nav_list_json']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get defaultCurrencyCode =>
      columnsByName['default_currency_code']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get transactionReportUuid =>
      columnsByName['transaction_report_uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get accountReportUuid =>
      columnsByName['account_report_uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get merchantReportUuid =>
      columnsByName['merchant_report_uuid']! as i1.GeneratedColumn<String>;
  i1.GeneratedColumn<String> get tagReportUuid =>
      columnsByName['tag_report_uuid']! as i1.GeneratedColumn<String>;
}

i1.GeneratedColumn<String> _column_78(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'nav_list_json',
      aliasedName,
      false,
      type: i1.DriftSqlType.string,
    );
i1.GeneratedColumn<String> _column_79(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'transaction_report_uuid',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES reports (uuid) ON DELETE SET NULL',
      ),
    );
i1.GeneratedColumn<String> _column_80(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'account_report_uuid',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES reports (uuid) ON DELETE SET NULL',
      ),
    );
i1.GeneratedColumn<String> _column_81(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'merchant_report_uuid',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES reports (uuid) ON DELETE SET NULL',
      ),
    );
i1.GeneratedColumn<String> _column_82(String aliasedName) =>
    i1.GeneratedColumn<String>(
      'tag_report_uuid',
      aliasedName,
      true,
      type: i1.DriftSqlType.string,
      defaultConstraints: i1.GeneratedColumn.constraintIsAlways(
        'REFERENCES reports (uuid) ON DELETE SET NULL',
      ),
    );
i0.MigrationStepWithVersion migrationSteps({
  required Future<void> Function(i1.Migrator m, Schema2 schema) from1To2,
}) {
  return (currentVersion, database) async {
    switch (currentVersion) {
      case 1:
        final schema = Schema2(database: database);
        final migrator = i1.Migrator(database, schema);
        await from1To2(migrator, schema);
        return 2;
      default:
        throw ArgumentError.value('Unknown migration from $currentVersion');
    }
  };
}

i1.OnUpgrade stepByStep({
  required Future<void> Function(i1.Migrator m, Schema2 schema) from1To2,
}) => i0.VersionedSchema.stepByStepHelper(
  step: migrationSteps(from1To2: from1To2),
);
